main/urls.py
from django.urls import include, path
from .views import home, hobi, skill, pendidikan, mataKuliah, get_matkul, hapusMataKuliah, get_daftar_matkul

app_name = 'main'

urlpatterns = [
    path('', home, name='home'),
    path('home', home, name='home'),
    path('hobi', hobi, name='hobi'),
    path('skill', skill, name='skill'),
    path('pendidikan', pendidikan, name='pendidikan'),
    path('tambah-mata-kuliah', mataKuliah.as_view(), name='tambah-mata-kuliah'),
    path('hapus-mata-kuliah', hapusMataKuliah.as_view(), name='hapus-mata-kuliah'),
    path('jadwal', get_matkul, name='mata-kuliah'),
    path('matkul/<str:name>', get_daftar_matkul, name='daftar-mata-kuliah')
]

story4devia/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
]

main/models.py
from django.db import models

# Create your models here.
class Post(models.Model):
    nama_matkul = models.CharField(max_length=50, verbose_name="Mata Kuliah", primary_key=True, default=None)
    dosen = models.CharField(max_length=30, default=None)
    jumlah_sks = models.IntegerField(verbose_name="Jumlah SKS", default=None)
    deskripsi_matkul = models.TextField(blank=True, default=None)
    semester_tahun = models.CharField(max_length=20, default=None)
    ruang_kelas = models.CharField(max_length=15, verbose_name="Ruang Kelas", default=None)

main/forms.py
from django import forms
from .models import Post
from crispy_forms.helper import FormHelper

class tambahMatkul(forms.ModelForm):
    class Meta:
        model = Post
        fields = '__all__'

class hapusMatkul(forms.Form):
    def __init__(self, mataKuliah, *args, **kwargs):
        super(hapusMatkul, self).__init__(*args, **kwargs)
        self.helper = FormHelper()
        self.fields["mataKuliah"].choices = mataKuliah
    
    mataKuliah = forms.ChoiceField(choices=(), required=True, label="Mata Kuliah")

main/views.py
from django.shortcuts import render, redirect
from django.views.generic import TemplateView
from django.http import HttpResponseRedirect
from .models import Post
from .forms import tambahMatkul, hapusMatkul

def home(request):
    return render(request, 'main/home.html')

def hobi(request):
    return render(request, 'main/hobi.html')

def skill(request):
    return render(request, 'main/skill.html')

def pendidikan(request):
    return render(request, 'main/pendidikan.html')

class mataKuliah(TemplateView):
    namaTemplate = "main/tambah_matkul.html"
    def get(self, req):
        daftarMatkul = [(nama_matkul.nama_matkul, nama_matkul.nama_matkul) for nama_matkul in Post.objects.all()]
        form = tambahMatkul()
        form_delete = hapusMatkul(daftarMatkul)
        return render(req, self.namaTemplate, {"form": form, "delete": form_delete})
    
    def post(self, req):
        form = tambahMatkul(req.POST)
        if form.is_valid():
            form.save()
            return redirect("main:mata-kuliah")
        return render(req, self.namaTemplate, {"form": form})

class hapusMataKuliah(TemplateView):
    namaTemplate = "main/tambah_matkul.html"
    def get(self, req):
        daftarMatkul = [(nama_matkul.nama_matkul, nama_matkul.nama_matkul) for nama_matkul in Post.objects.all()]
        form = tambahMatkul()
        form_delete = hapusMatkul(daftarMatkul)
        return render(req, self.namaTemplate, {"form": form, "delete": form_delete})
    
    def post(self,req):
        form = tambahMatkul()
        daftarMatkul = [(nama_matkul.nama_matkul, nama_matkul.nama_matkul) for nama_matkul in Post.objects.all()]
        form_delete = hapusMatkul(daftarMatkul, req.POST)
        if form_delete.is_valid():
            print(form_delete)
            Post.objects.get(nama_matkul=req.POST.get("mataKuliah")).delete()
            return redirect("main:mata-kuliah")
        return render(req, self.namaTemplate, {"form": form, "delete": form_delete})
    
def get_matkul(req):
    mataKuliah = Post.objects.all()
    return render(req, "main/jadwal.html", {'mataKuliah': mataKuliah})

def get_daftar_matkul(req, name):
    nama_matkul = Post.objects.get(pk=name)
    return render(req, "main/matkul.html", {"nama_matkul": nama_matkul})

main/templates/main/hobi.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hobi</title>
{% endblock meta %}

{% block content %}
<article style="background-color: #ff9a76;">
    <div class="container" style="padding-top: 70px;">
        <h2 class="text-white font-weight-bold" style="margin-top: 40px; text-align: center;">Hobi dan Kesukaan</h2><br><br>
        <div class="row">
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/belajar.jpg' %}" alt="belajar" id="gambarHobi">
                <figcaption>Belajar</figcaption>
            </div>
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/lettering.jpg' %}" alt="lettering" id="gambarHobi">
                <figcaption><em>Lettering</em></figcaption>
            </div>
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/travelling.jpeg' %}" alt="travelling" id="gambarHobi">
                <figcaption><em>Travelling</em></figcaption>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/boba.jpeg' %}" alt="boba" id="gambarHobi">
                <figcaption><em>Bubble Drink</em></figcaption>
            </div>
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/cemilan.jpg' %}" alt="camilan" id="gambarHobi">
                <figcaption>Memakan Camilan</figcaption>
            </div>
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/kucing.jpg' %}" alt="kucing" id="gambarHobi">
                <figcaption>Bermain dengan Kucing</figcaption>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/webtoon.jpg' %}" alt="webtoon" id="gambarHobi">
                <figcaption>Membaca <em>Webtoon</em></figcaption>
            </div>
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/game.jpg' %}" alt="game" id="gambarHobi">
                <figcaption>Bermain <em>Game</em></figcaption>
            </div>
            <div class="col-sm-4 bg-light pt-5 pb-8">
                <img src="{% static 'img/mv.jpeg' %}" alt="music and video" id="gambarHobi">
                <figcaption>Memutar Musik dan Video K-POP</figcaption><br><br><br><br>
            </div>
        </div><br><br><br>
    </div>
</article>
{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Home</title>
{% endblock meta %}

{% block content %}
<body>
<div class="jumbotron" style="background-image:url('{% static 'img/slider1.jpg' %}');">
  <div class="container">
      <h1 class="display-4">Halo! <br> <span class="font-weight-bold">Selamat Datang <br> di Halaman Profil Devia!</span></h1>
      <hr class="my-4">
      <p class="lead">Menampilkan Profil yang dibutuhkan untuk Melamar Pekerjaan</p>
      <a class="btn btn-primary btn-lg font-weight-bold" href="#kunjungi" role="button">KUNJUNGI</a>
  </div>
</div>
<div class="container">
  <div class="row">
    <div class="col-sm-4 bg-light pt-5 pb-8" style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    padding: 20px;
    margin-top: 20px;
    margin-bottom: 45px;">
      <h2 id="kunjungi" style="color:#F05F40;">Sekilas Tentang Saya</h2><br>
      <img src="{% static 'img/devia.JPG' %}" class="mx-auto d-block" style="max-height: 200px; object-fit: cover;"><br><br>
    </div>
    <div class="col-sm-8 bg-light pt-5 pb-8" style="box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    border-radius: 5px;
    padding: 20px;
    margin-top: 20px;
    margin-bottom: 45px;">
      <p class="text-center"><br><br><br>Halo! Nama saya Devia Febyanti, panggil saja Devia. Saat ini saya sedang berkuliah di salah satu Universitas terbaik di Indonesia.
         Saya adalah mahasiswa Program Studi Geofisika di Universitas Indonesia angkatan 2018 dengan NPM 1806136706. Saya adalah seorang yang
         sangat energic dan terampil. Selain menjadi mahasiswa, saat ini saya juga menjadi asisten dosen dan tutor pada sebuah bimbingan belajar.<p>
    </div>
  </div>
  <br><br><br>
  
  <div class="container">
    <h2 id="pengalaman" style="color:#F05F40; text-align: center;">Pengalaman</h2><br><br>
      <ul style="text-align: center;">
        <li>Mengajar di Lembaga Bimbingan Belajar jenjang SMA dan UTBK kurang lebih satu setengah tahun</li> 
        <li>Mengajar privat jenjang SMP kurang lebih satu tahun</li>
        <li>Menjadi Kepala Departemen Adkesma HMGs</li> 
        <li>Asisten dosen mata kuliah Matematika Dasar 2, Fisika Matematika 2, dan Fisika Gelombang</li> 
        <li>Koordinator Lomba OIM MIPA 2018</li>
        <li>BPH Tugas Pengenalan Sistem Akademik Departemen Geosains</li>
        <li>BPH Assessment Pengenalan Sistem Akademik Program Studi Geofisika</li>
      </ul>
    </div><br><br><br>
  </div>
  
  <div class="container">
    <h2 id="pencapaian" style="color:#F05F40; text-align: center;">Pencapaian</h2>
    <div class="row">
      <div class="col-sm-2 bg-light pt-5 pb-8"></div>
      <div class="col-sm-4 bg-light pt-5 pb-8">
        <br>
        <ul>
          <li>Juara 1 Kejuaraan Pencak Silat <br> Merpati Putih tingkat Jakarta Timur</li><br> 
          <li>Juara 3 UMB Cup Merpati Putih <br> tingkat DKI Jakarta dan Jawa Barat</li><br> 
        </ul>
      </div>
      <div class="col-sm-4 bg-light pt-5 pb-8">
        <ul><br>
          <li>Juara 2 Tari tingkat Fakultas</li><br> <br> 
          <li>Juara 3 Teater tingkat Fakultas</li><br> 
        </ul>
      </div>
      <div class="col-sm-2 bg-light pt-5 pb-8"></div>
  </div>
</div>
<br><br><br>
</body>
{% endblock content %}

main/templates/main/jadwal.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load static %}

{% block meta %}
<title>Jadwal</title>
{% endblock meta %}

{% block content %}
<article style="background-color: #ff9a76;">
<div class="container">
    <div class="row justify-content-center mt-5">
        <div class="col-md-6" style="margin-top: 150px; margin-bottom: 150px;">
            <div class="card jus">
                <div class="card-body">
                    <h3 class="card-title">Daftar Mata Kuliah</h3>
                    <ol>
                    {% for i in mataKuliah %}
                    <li><a href="{% url 'main:daftar-mata-kuliah' i.nama_matkul%}">{{ i.nama_matkul }}</a></li>
                    {% endfor %}
                </ol>
            </div>
        </div>
    </div>
</div>
</article>
{% endblock content %}

main/templates/main/matkul.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load static %}

{% block meta %}
<title>Mata Kuliah</title>
{% endblock meta %}

{% block content %}
<article style="background-color: #ff9a76;">
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6" style="margin-top: 150px; margin-bottom: 100px;">
            <div class="card mt-2">
                <div class="card-body">
                    <h3 class="card-title">{{ nama_matkul.nama_matkul }}</h3>
                    <div>
                        <h5>Dosen</h5>
                        <span>{{ nama_matkul.dosen }}</span>
                    </div><br>
                    <div>
                        <h5>Ruang Kelas</h5>
                        <span>{{ nama_matkul.ruang_kelas }}</span>
                    </div><br>
                    <div>
                        <h5>Jumlah SKS</h5>
                        <span>{{ nama_matkul.jumlah_sks }}</span>
                    </div><br>
                    <div>
                        <h5>Semester</h5>
                        <span>{{ nama_matkul.semester_tahun }}</span>
                    </div><br>
                    <div>
                        <h5>Deskripsi</h5>
                        <span>{{ nama_matkul.deskripsi_matkul }}</span>
                    </div><br>
                </div>
            </div>
        </div>
    </div>
</div>
</article>
{% endblock %}

main/templates/main/pendidikan.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Pendidikan</title>
{% endblock meta %}

{% block content %}
<body>
<div style="background-color: #ff9a76; padding: 70px;">
    <article style="box-shadow: 0 4px 8px 0;
        border-radius: 10px;
        padding: 20px;
        margin: 20px 20px 20px 20px;
        background-color:#F05F40;">
            <h2 class="text-white">Riwayat Pendidikan</h2>
            <br><br>
            <table border="2" align="center" class="text-white">
                <tr class="font-weight-bold text-center">
                    <td>Tahun</td>
                    <td>Pendidikan</td>
                </tr>
                <tr>
                    <td>2005 s.d. 2006</td>
                    <td>TK Tunas Bangsa Duren Sawit</td>
                </tr>
                <tr>
                    <td>2006 s.d. 2012</td>
                    <td>SD Negeri Setu 04 Petang</td>
                </tr>
                <tr>
                    <td>2012 s.d. 2015</td>
                    <td>SMP Negeri 81 Jakarta</td>
                </tr>
                <tr>
                    <td>2015 s.d. 2018</td>
                    <td>SMA Negeri 62 Jakarta</td>
                </tr>
                <tr>
                    <td>2018 s.d. sekarang</td>
                    <td>S1 - Prodi Geofisika Universitas Indonesia</td>
                </tr>
            </table>
            <br><br>
        </article>
    </div>
</body>
{% endblock content %}

main/templates/main/skill.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Skill</title>
{% endblock meta %}

{% block content %}
<article style="background-color: #ff9a76; padding: 70px 0 50px 0;">
<div class="container">
    <h2 class="text-center font-weight-bold" style="color: white;"><br>KEMAMPUAN PEMROGRAMAN</h2>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 90%;"><h5>Python 85%</h5></div>
    </div> <br>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 70%;"><h5>Java 70%</h5></div>
    </div> <br>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 80%;"><h5>HTML 80%</h5></div>
    </div> <br>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 80%;"><h5>CSS 80%</h5></div>
    </div> <br>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 70%;"><h5>JavaScript 70%</h5></div>
    </div> <br>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 75%;"><h5>Bootstrap 75%</h5></div>
    </div> <br>
</div>
<br>
<div class="container">
    <h2 class="text-center font-weight-bold" style="color: white;">KEMAMPUAN OFFICE</h2>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 96%;"><h5>Microsoft Word 95%</h5></div>
    </div> <br>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 85%;"><h5>Microsoft Excel 85%</h5></div>
    </div> <br>
    <div class="progress" style="height: 30px;">
        <div class="progress-bar bg-dark text-left p-3 progress-bar-striped progress-bar-animated" style="width: 90%;"><h5>Microsoft Power Point 90%</h5></div>
    </div> <br>
</div>
</article>
{% endblock content %}

main/templates/main/tambah_matkul.html
{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load static %}

{% block meta %}
<title>Tambah Mata Kuliah</title>
{% endblock meta %}

{% block content %}
<article  style="background-color: #ff9a76;">
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-6" style="margin-top: 150px;">
            <div class="card mt-2">
                <div class="card-body">
                    <h3 class="card-title">Tambah Mata Kuliah</h3>
                    <form action="{% url 'main:tambah-mata-kuliah' %}" method="POST">
                        {% csrf_token %}
                        {{ form|crispy }}
                        <button type="submit" class="btn btn-success">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row justify-content-center mt-5">
        <div class="col-md-6" style="margin-bottom: 100px;">
            <div class="card">
                <div class="card-body">
                    <h3 class="card-title">Hapus Mata Kuliah</h3>
                    <form action="{% url 'main:hapus-mata-kuliah' %}" class="border-3" method="POST">
                        {% csrf_token %}
                        {{ delete|crispy }}
                        <button type="submit" class="btn btn-dark">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</article>
{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-light bg-white fixed-top" id="mainNav">
    <div class="container text">
    <a class="navbar-brand font-weight-bold text-black" href="{% url 'main:home' %}">HALAMAN PROFIL</a>
    <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger text-black" href="{% url 'main:home' %}">PROFIL</a>
        </li>
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle text-black" href="#tentang saya" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                TENTANG SAYA
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                <a class="dropdown-item " href="{% url 'main:hobi' %}">HOBI</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="{% url 'main:pendidikan' %}">PENDIDIKAN</a>
                <div class="dropdown-divider"></div>
                <a class="dropdown-item" href="{% url 'main:skill' %}">KEMAMPUAN</a>
            </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle text-black" href="#jadwal" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              JADWAL
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
              <a class="dropdown-item " href="{% url 'main:mata-kuliah' %}">DAFTAR MATA KULIAH</a>
              <div class="dropdown-divider"></div>
              <a class="dropdown-item" href="{% url 'main:tambah-mata-kuliah' %}">TAMBAH/HAPUS MATA KULIAH</a>
          </div>
        </li>
        <li class="nav-item">
            <a class="nav-link js-scroll-trigger text-black" href="#kontak">KONTAK</a>
        </li>
      </ul>
    </div>
    </div>
  </nav>

  {% block content %}
  {% endblock content %}

  <footer>
    <h3 class="font-weight-bold" id="kontak">KONTAK</h3>
    <p>Silakan di klik!:)</p><br>
    <img src="{% static 'img/ig.png' %}" style="max-height: 15px;">&nbsp;&nbsp;<a class="text-white" href="https://www.instagram.com/devfbynt/">Instagram : devfbynt</a><br>
    <img src="{% static 'img/wa.png' %}" style="max-height: 15px;">&nbsp;&nbsp;<a class="text-white" href="https://wa.wizard.id/68154d">WhatsApp : +625892540228</a><br>
    <img src="{% static 'img/line.jpg' %}" style="max-height: 15px;">&nbsp;&nbsp;<a class="text-white" href="https://line.me/ti/p/eUX1OoVVp6">LINE : devia_fbynt</a><br>
    <img src="{% static 'img/gmail.png' %}" style="max-height: 15px;">&nbsp;&nbsp;<a class="text-white" href="#email">E-mail : devia.febyanti@ui.ac.id</a><br>             
  </footer>
  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
</body>

</html>